#include <stdio.h>
#include <inttypes.h>
#include <unistd.h>
#include <locale.h>
#include <xosd.h>
#include <X11/Xlib.h>
#include <X11/Xutil.h>
#include <ft2build.h>
#include <freetype/freetype.h>


int main (int argc, char **argv)
    {
    Display *dpy;
    char *displayname = NULL;
    dpy=XOpenDisplay(displayname);
    int width,height;
    width=XDisplayWidth(dpy,0);
    height=XDisplayHeight(dpy,0);
    if (setlocale(LC_ALL, "") == NULL || !XSupportsLocale())
	fprintf(stderr, "Locale not available, expect problems with fonts.\n");
    xosd *osd;
    int i=width-50;
    int usleep_time=500;
    int offset_v=0;
    int fontsize=20;
    char str[200];
    if (argc >= 1)
    {
	usleep_time= (int)strtoimax( argv[1],NULL,0);
    }
    if (argc >= 2) 
    {
	offset_v= (int)strtoimax( argv[2],NULL,0);
    }
    if (argc >= 3) 
    {
	sprintf(str,"%s",argv[3]);
    }
    else
    {
	
	sprintf(str,"-*-nimbus roman no9 l-bold-*-normal-*-17-*-*-*-*-*-koi8-ru");
    }
    char xosd_string[1024];
    fgets(xosd_string,1024,stdin);
    osd = xosd_create(1);
    xosd_set_horizontal_offset(osd,i);
    xosd_set_vertical_offset(osd,offset_v);
    xosd_set_align(osd, XOSD_left);
    xosd_set_pos(osd,XOSD_bottom);
    printf(xosd_set_font(osd,str));
    xosd_set_colour(osd,"white");
    xosd_display(osd,0,XOSD_string,xosd_string);
    xosd_show(osd);
    while (usleep(usleep_time)==0)
	{
	i--;
	i--;
	xosd_set_horizontal_offset(osd,i);
	if (i<- width)
	    {
	    break;
	    }
	};
    xosd_destroy(osd);
    XCloseDisplay(dpy);
    return 0;
    };

